#!/bin/bash

set -e

ALL_TAG="R_3_25_0"

WIKITEXT_TAG="wikitext.core-3.0.29"

_TAG="R_3_25_0"
BUILDS_TAG="R_3_25_0"
COMMONS_TAG="R_3_25_0"
CONTEXT_TAG="R_3_25_0"
REVIEWS_TAG="R_3_25_0"
TASKS_TAG="R_3_25_0"
VERSIONS_TAG="eb443c7c6785c12deb98dfd51707fa89c384efc5"

FETCHED_SOURCES_NAME="eclipse-mylyn-R_3_25_0-fetched-src"

#clean up old runs
rm -rf ${FETCHED_SOURCES_NAME}

# checkout aggregator repo
git clone --recursive git://git.eclipse.org/gitroot/mylyn/org.eclipse.mylyn.all.git ${FETCHED_SOURCES_NAME}
cd ${FETCHED_SOURCES_NAME}
git checkout $ALL_TAG
git submodule update

# checkout wikitext
(cd org.eclipse.mylyn.docs && git checkout ${WIKITEXT_TAG})

# checkout others
(cd org.eclipse.mylyn && git checkout $_TAG)
(cd org.eclipse.mylyn.builds && git checkout $BUILDS_TAG)
(cd org.eclipse.mylyn.commons && git checkout $COMMONS_TAG)
(cd org.eclipse.mylyn.context && git checkout $CONTEXT_TAG)
(cd org.eclipse.mylyn.reviews && git checkout $REVIEWS_TAG)
(cd org.eclipse.mylyn.tasks && git checkout $TASKS_TAG)
(cd org.eclipse.mylyn.versions && git checkout $VERSIONS_TAG)

# remove precompiled binaries
find . -type f -name "*.class" -o -name "*.jar" -exec rm {} \;

# purge git metadata
rm -rf .git
find . -type f -name ".gitignore" -exec rm {} \;
find . -type f -name ".gitmodules" -exec rm {} \;

cd ..

#package and clean up
tar -caf ${FETCHED_SOURCES_NAME}.tar.xz ${FETCHED_SOURCES_NAME}
rm -rf ${FETCHED_SOURCES_NAME}
